Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.

Bug 993536

Summary: AttributeError: 'module' object has no attribute 'QRCode'
Product: [Fedora] Fedora Reporter: Fabien Archambault <marbolangos>
Component: python-qrcodeAssignee: Michel Alexandre Salim <michel>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 19CC: michel, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-05 03:45:58 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Fabien Archambault 2013-08-06 02:58:11 EDT
Description of problem: I wanted to use the python-qrcode python library but it fails on loading the module.


Version-Release number of selected component (if applicable): python-qrcode-2.4.1-4.fc19.noarch


How reproducible: always


Steps to Reproduce:
1. yum install python-qrcode
2. $ python
Python 2.7.5 (default, Jul  8 2013, 09:48:59) 
[GCC 4.8.1 20130603 (Red Hat 4.8.1-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import qrcode
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "qrcode.py", line 8, in <module>
    qr = qrcode.QRCode(
AttributeError: 'module' object has no attribute 'QRCode'
>>> 

Actual results: AttributeError: 'module' object has no attribute 'QRCode'


Expected results: load the module


Additional info:
$ rpm -qa | grep python
python-IPy-0.75-5.fc19.noarch
python-deltarpm-3.6-1.fc19.x86_64
gnome-python2-desktop-2.32.0-14.fc19.x86_64
python-slip-gtk-0.4.0-1.fc19.noarch
python3-brlapi-0.6.0-6.fc19.x86_64
cryptsetup-python-1.6.1-1.fc19.x86_64
dbus-python-1.1.1-5.fc19.x86_64
python-simplegeneric-0.8-6.fc19.noarch
audit-libs-python-2.3.1-2.fc19.x86_64
python-babel-0.9.6-7.fc19.noarch
python-cups-1.9.63-3.fc19.x86_64
python-qrcode-2.4.1-4.fc19.noarch
python-setuptools-0.6.36-1.fc19.noarch
langtable-python-0.0.6-1.fc19.noarch
libxml2-python-2.9.1-1.fc19.x86_64
python-ldap-2.4.6-4.fc19.x86_64
python-mako-0.7.3-1.fc19.noarch
python-simplejson-3.2.0-1.fc19.x86_64
python-ipython-gui-0.13.2-1.fc19.noarch
python-decorator-3.4.0-2.fc19.noarch
libsemanage-python-2.1.10-6.fc19.x86_64
python-tempita-0.5.1-5.fc19.noarch
python-lxml-3.2.1-1.fc19.x86_64
python-ipython-console-0.13.2-1.fc19.noarch
python-meh-0.25-1.fc19.noarch
python-magic-5.11-9.fc19.x86_64
python-paste-1.7.5.1-8.20111221hg1498.fc19.noarch
gnome-python2-bonobo-2.28.1-12.fc19.x86_64
python3-3.3.2-3.fc19.x86_64
python-reportlab-2.5-7.fc19.x86_64
libreport-python-2.1.6-2.fc19.x86_64
abrt-addon-python-2.1.6-2.fc19.x86_64
policycoreutils-python-2.1.14-46.4.fc19.x86_64
python-boto-2.6.0-3.fc19.noarch
python-tornado-2.2.1-4.fc19.noarch
gnome-python2-gnomevfs-2.28.1-12.fc19.x86_64
python-ipython-0.13.2-1.fc19.noarch
python-slip-dbus-0.4.0-1.fc19.noarch
notify-python-0.1.1-23.fc19.x86_64
gnome-python2-gconf-2.28.1-12.fc19.x86_64
python-pyblock-0.53-4.fc19.x86_64
gnome-python2-gnomekeyring-2.32.0-14.fc19.x86_64
python3-gobject-3.8.3-1.fc19.x86_64
python-markupsafe-0.11-8.fc19.x86_64
python-urlgrabber-3.9.1-27.fc19.noarch
python-pillow-2.0.0-10.gitd1c6db8.fc19.x86_64
python3-cairo-1.10.0-5.fc19.x86_64
python-brlapi-0.6.0-6.fc19.x86_64
liblouis-python3-2.5.3-1.fc19.noarch
python-chardet-2.0.1-6.fc19.noarch
python-pygments-1.4-8.fc19.noarch
systemd-python-204-9.fc19.x86_64
python-kitchen-1.1.1-4.fc19.noarch
python-ethtool-0.8-1.fc19.x86_64
python-bugzilla-0.9.0-1.fc19.noarch
python-GnuPGInterface-0.3.2-11.fc19.noarch
gnome-python2-gnome-2.28.1-12.fc19.x86_64
python-matplotlib-1.2.0-14.fc19.x86_64
python3-libs-3.3.2-3.fc19.x86_64
python-pwquality-1.2.2-1.fc19.x86_64
gstreamer-python-0.10.22-4.fc19.x86_64
python-sssdconfig-1.10.1-1.fc19.noarch
python3-pyxdg-0.25-1.fc19.noarch
python-inotify-0.9.4-2.fc19.noarch
python-di-0.3-1.fc19.noarch
libuser-python-0.59-1.fc19.x86_64
python-2.7.5-3.fc19.x86_64
python-smbc-1.0.13-7.fc19.x86_64
rpm-python-4.11.1-1.fc19.x86_64
python-slip-0.4.0-1.fc19.noarch
python-cloudfiles-1.7.10-3.fc19.noarch
newt-python-0.52.15-1.fc19.x86_64
python-blivet-0.17-1.fc19.noarch
python-dateutil-1.5-6.fc19.noarch
python-iniparse-0.4-7.fc19.noarch
gnome-python2-canvas-2.28.1-12.fc19.x86_64
python-pexpect-2.5.1-6.fc19.noarch
python-ipython-notebook-0.13.2-1.fc19.noarch
python-pycurl-7.19.0-15.1.fc19.x86_64
python3-pyatspi-2.8.0-1.fc19.noarch
python-libs-2.7.5-3.fc19.x86_64
python-beaker-1.5.4-7.fc19.noarch
gamin-python-0.1.10-14.fc19.x86_64
python-nss-0.14.0-1.fc19.x86_64
python-nose-1.3.0-1.fc19.noarch
python3-speechd-0.7.1-11.fc19.x86_64
python-speechd-0.7.1-11.fc19.x86_64
libselinux-python-2.1.13-15.fc19.x86_64
python-zmq-13.0.0-1.fc19.x86_64
python-mglob-0.4-8.fc19.noarch
gnome-python2-2.28.1-12.fc19.x86_64
liblouis-python-2.5.3-1.fc19.noarch
python-caribou-0.4.11-1.fc19.noarch
$ uname -a
Linux evangelion-nerv 3.9.9-302.fc19.x86_64 #1 SMP Sat Jul 6 13:41:07 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Fabien Archambault 2013-11-05 03:45:58 EST
I wanted to try this again and now it works:
$ rpm -qa | grep qrco
python-qrcode-2.4.1-4.fc19.noarch
$ python
Python 2.7.5 (default, Oct  8 2013, 12:19:40) 
[GCC 4.8.1 20130603 (Red Hat 4.8.1-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import qrcode
>>> 
$

I do not understand what has changed but this is fixed (maybe a python update?).

I close this as NOTABUG.